/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//main.cpp
//Written by Cosmin Deaconu <cozzyd@ccrma.stanford.edu> 

/* This file is responsible for instantiating TabSynth */ 

#include <gtkmm/main.h>
#include "input_window.h"
#include <glibmm/thread.h>
#include "control_window.h"

int main(int argc, char ** argv) {

  /* Enable threading */
  if(!Glib::thread_supported()) Glib::thread_init();
  
  /* Initialize Gtk */
  Gtk::Main kit(argc, argv);
  
  /* Initialize the Input and Control windows*/
  InputWindow inputWindow; 
  ControlWindow cw(&inputWindow);
  cw.show(); 
  
  /* Start the Gtk main loop */ 
  Gtk::Main::run(inputWindow); 
  
  return 0; 
}
