/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//plugin_option.cpp
//Written by Cosmin Deaconu <cozzyd@ccrma.stanford.edu> 


#include "plugin_option.h"

/* This file implements the PluginOption class described in plugin_option.h*/

/*Constructor. See .h file for documentation. */
PluginOption::PluginOption(pluginOptionType type, 
                 std::string name,  
                 std::string description, 
                 double def, 
                 double min, 
                 double max,
                 int numSteps) {
                   
  this->type = type;
  this->name = name; 
  this->min = min; 
  this->max = max; 
  this->value = def; 
  this->description = description; 
  this->numSteps = numSteps;                    
}


PluginOption::~PluginOption(){}

pluginOptionType PluginOption::getType() {
  return this->type; 
}

double PluginOption::getValue() {
  return this->value; 
}

std::string PluginOption::getName() {
  return this->name;
}

std::string PluginOption::getDescription() {
  return this->description ;
}

double PluginOption::getMin() {
  return this->min; 
}

double PluginOption::getMax() {
  return this->max; 
}

int PluginOption::getNumSteps() {
  return this->numSteps;
}

void PluginOption::setValue(double value) {
  this->value = value; 
}
